## compiz 0.9.2.1+git20110226.f059fae9

=== CMakeLists.txt ===
project (compiz)

set (CMAKE_MODULE_PATH_ORIG ${CMAKE_MODULE_PATH})
set (COMPIZ_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${COMPIZ_CMAKE_MODULE_PATH})
include (CompizCommon)
include (CompizPackage)
include (cmake/base.cmake)
include (CheckFunctionExists)


set (CMAKE_CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo;MinSizeRe" CACHE INTERNAL "" FORCE)
if (NOT CMAKE_BUILD_TYPE)
    set (CMAKE_BUILD_TYPE "Debug" CACHE STRING "Build type (Debug/Release/RelWithDebInfo/MinSizeRe)" FORCE)
endif (NOT CMAKE_BUILD_TYPE)

# compiz package version number
# An odd micro number indicates in-progress development.
# An even micro number indicates a released version.
set (COMPIZ_VERSION_MAJOR 0)
set (COMPIZ_VERSION_MINOR 9)
set (COMPIZ_VERSION_MICRO 2)
set (COMPIZ_VERSION_MACRO 1)
set (VERSION ${COMPIZ_VERSION_MAJOR}.${COMPIZ_VERSION_MINOR}.${COMPIZ_VERSION_MICRO}.${COMPIZ_VERSION_MACRO})

set (DECOR_INTERFACE_VERSION 20110130)

if (COMPIZ_PACKAGING_ENABLED)
    set (prefix ${CMAKE_INSTALL_PREFIX}                   CACHE PATH "prefix")
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin          CACHE PATH "bindir")
    set (libdir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}  CACHE PATH "libdir")
    set (includedir ${CMAKE_INSTALL_PREFIX}/include       CACHE PATH "includedir")
    set (datadir ${CMAKE_INSTALL_PREFIX}/share            CACHE PATH "datadir")
else (COMPIZ_PACKAGING_ENABLED)
    set (prefix ${CMAKE_INSTALL_PREFIX}                 )
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin        )
    set (libdir ${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX})
    set (includedir ${CMAKE_INSTALL_PREFIX}/include     )
    set (datadir ${CMAKE_INSTALL_PREFIX}/share          )
endif (COMPIZ_PACKAGING_ENABLED)

set (compiz_plugindir ${libdir}/compiz)
set (compiz_imagedir ${datadir}/compiz/images)
set (compiz_metadatadir ${datadir}/compiz)
set (COMPIZ_I18N_DIR ${CMAKE_SOURCE_DIR}/po)

set (ALL_LINGUAS af ar bg bn bn_IN bs ca cs cy da de el en_GB en_US es eu et fi fr gl gu he hi hr hu id it ja ka km ko lo lt mk mr nb nl or pa pl pt pt_BR ro ru sk sl sr sv ta tr uk vi xh zh_CN zh_TW zu)
set (GETTEXT_PACKAGE compiz)

find_package (Boost 1.34.0 REQUIRED serialization)

set (COMPIZ_REQUIRES
    x11
    xext
    xdamage
    xcomposite
    x11-xcb
    xrandr
    xinerama
    xext
    ice
    sm
    libxml-2.0
    libxslt
    glib-2.0
    gio-2.0
    glibmm-2.4
    "libstartup-notification-1.0 >= 0.7"
)

set (DECORATION_REQUIRES xrender)

compiz_pkg_check_modules (COMPIZ REQUIRED ${COMPIZ_REQUIRES})
compiz_pkg_check_modules (LIBDECORATION REQUIRED ${DECORATION_REQUIRES})

list (APPEND COMPIZ_LIBRARIES ${Boost_LIBRARIES})

include (CompizDefaults)

set (COMPIZ_CFLAGS "${COMPIZ_CFLAGS} -I${Boost_INCLUDE_DIR}")

set (_compiz_package_string "Compiz ${VERSION}")
set (_compiz_package "Compiz")

compiz_configure_file (${compiz_SOURCE_DIR}/config.h.core.in ${compiz_BINARY_DIR}/generated/config.h)

compiz_configure_file (
    ${CMAKE_SOURCE_DIR}/include/compiz-common.h.in
    ${CMAKE_BINARY_DIR}/generated/compiz-common.h
)

install (
    FILES ${CMAKE_BINARY_DIR}/generated/compiz-common.h
    DESTINATION ${COMPIZ_DESTDIR}${includedir}/compiz
)

compiz_configure_file (
    ${CMAKE_SOURCE_DIR}/compiz.pc.in
    ${CMAKE_BINARY_DIR}/compiz.pc
    COMPIZ_REQUIRES
    COMPIZ_CFLAGS
)

install (
    FILES ${CMAKE_BINARY_DIR}/compiz.pc
    DESTINATION ${COMPIZ_DESTDIR}${libdir}/pkgconfig
)

add_subdirectory (cmake)
add_subdirectory (include)
add_subdirectory (images)
add_subdirectory (libdecoration)
add_subdirectory (gtk)
add_subdirectory (kde)
add_subdirectory (po)
add_subdirectory (metadata)
add_subdirectory (src)
add_subdirectory (xslt)
add_subdirectory (plugins)

compiz_ensure_linkage ()
compiz_package_generation ("Compiz")
compiz_add_uninstall ()
compiz_add_git_dist ()

_print_configure_results ()

_check_compiz_cmake_macro (${CMAKE_MODULE_PATH_ORIG})

=== images/CMakeLists.txt ===

set (_images
    icon.png
    freedesktop.png
)

install (
    FILES ${_images}
    DESTINATION ${COMPIZ_DESTDIR}${compiz_imagedir}
)

=== src/CMakeLists.txt ===
include (CompizBcop)

compiz_add_bcop_targets (
    core
    ${compiz_BINARY_DIR}/generated/core.xml.in
    _bcop_sources
)

include_directories (
    ${compiz_SOURCE_DIR}/include
    ${compiz_BINARY_DIR}
    ${compiz_BINARY_DIR}/generated
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${COMPIZ_INCLUDE_DIRS}
)

add_definitions (
    -DHAVE_CONFIG_H
    -DPLUGINDIR=\\\"${compiz_plugindir}\\\"
    -DIMAGEDIR=\\\"${compiz_imagedir}\\\"
    -DMETADATADIR=\\\"${compiz_metadatadir}\\\"
)

link_directories (
    ${COMPIZ_LINK_DIRS}
)

add_executable (compiz
    region.cpp
    atoms.cpp
    timer.cpp
    main.cpp
    actions.cpp
    screen.cpp
    window.cpp
    action.cpp
    option.cpp
    string.cpp
    match.cpp
    pluginclasses.cpp
    event.cpp
    plugin.cpp
    session.cpp
    output.cpp
    rect.cpp
    size.cpp
    point.cpp
    windowgeometry.cpp
    icon.cpp
    modifierhandler.cpp
    propertywriter.cpp
    eventsource.cpp
    ${_bcop_sources}
)

target_link_libraries (
    compiz ${COMPIZ_LIBRARIES} m pthread dl
)

install (
    TARGETS compiz
    DESTINATION ${COMPIZ_DESTDIR}${exec_prefix}
)

## compiz 0.3.3-0ubuntu2~git2006112~edgy1

=== debian/changelog ===
compiz (1:0.3.3-0ubuntu2~git2006112~edgy1) edgy-backports; urgency=low

  * Automated backport upload; no source changes.

 -- John Dong <john.dong@gmail.com>  Sat,  2 Dec 2006 05:43:53 +0000

compiz (1:0.3.3-0ubuntu2~git2006112) feisty; urgency=low

  * Make sure that the window settings preferences get installed in the 
    correct location

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 13 Nov 2006 02:24:08 +0000

compiz (1:0.3.3-0ubuntu1~git2006112) feisty; urgency=low

  * New upstream code, fixes metacity theme support properly
  * Add epoch to deal with compiz-plugins having an awkward version 
    number

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sun, 12 Nov 2006 23:30:37 +0000

compiz (0.3.3-0ubuntu1~git20061111) feisty; urgency=low

  * Fix up the default schema options

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 11 Nov 2006 02:55:13 +0000

compiz (0.3.3-0ubuntu~git20061111) feisty; urgency=low

  * Rebase to freedesktop.org compiz
  * Check whether Xgl is running before preloading GL libraries

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 11 Nov 2006 00:26:39 +0000

compiz (0.2) edgy; urgency=low

  * debian/control:
    + Correct the Replaces for compiz on compiz-core and compiz-gnome

 -- Matthias Urlichs <smurf@ubuntu.com>  Tue, 29 Aug 2006 06:07:58 +0200

compiz (0.0.13.38-0ubuntu2) edgy; urgency=low

  * debian/control:
    + Add correct Replaces for compiz on compiz-core and compiz-gnome

 -- Sebastian Dröge <slomo@ubuntu.com>  Sun, 27 Aug 2006 18:53:30 +0200

compiz (0.0.13.38-0ubuntu1) edgy; urgency=low

  [ Quinn Storm ]
  * speed fix patch from forums, hope it works well, is supposed to fix to the
  way it was in 13.11
  * now passes lintian!

  [ Matthew Garrett ]
  * Targetted at Ubuntu repository, re-add Ubuntu logo

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 26 Aug 2006 04:17:16 +0100

compiz (0.0.13.37-0ubuntu4) dapper; urgency=low

  * only bumping minor since this is a bugfix

 -- Quinn Storm <livinglatexkali@gmail.com>  Wed, 23 Aug 2006 16:01:15 -0400

compiz (0.0.13.37-0ubuntu3) dapper; urgency=low

  * fix libgnome-window-settings dependancy to say libgnome-window-settings1

 -- Quinn Storm <livinglatexkali@gmail.com>  Wed, 23 Aug 2006 04:40:42 -0400

compiz (0.0.13.37-0ubuntu2) dapper; urgency=low

  * packaging fix for dumbness

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue, 22 Aug 2006 23:31:49 -0400

compiz (0.0.13.37-0ubuntu1) dapper; urgency=low

  * properly set version using debian/changelog

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue, 22 Aug 2006 18:44:33 -0400

compiz (0.0.13.36-0ubuntu1) dapper; urgency=low

  * upstream updates - set tooltip type hint in g-w-d, writePngToFile
  function, sync request for override-redirect, typo fix, useless code
  removal, add CompStateCommit(enter key)

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue, 22 Aug 2006 17:58:46 -0400

compiz (0.0.13.35-0ubuntu1) dapper; urgency=low

  * de-stupify build

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue, 22 Aug 2006 01:30:30 -0400

compiz (0.0.13.35) dapper; urgency=low

  * updating build system to be more sensible

 -- Quinn Storm <livinglatexkali@gmail.com>  Mon, 21 Aug 2006 22:53:41 -0400

compiz (0.0.13-0quinn34) dapper; urgency=low

  * semi-hackish fix for window-types issues

 -- Quinn Storm <livinglatexkali@gmail.com>  Sun, 20 Aug 2006 07:03:01 -0400

compiz (0.0.13-0quinn33) dapper; urgency=low

  * add put plugin
  * fix gnome-window-decorator (by fixing decoration plugin & changing how
          cgwd works with it)

 -- Quinn Storm <livinglatexkali@gmail.com>  Sat, 19 Aug 2006 21:04:28 -0400

compiz (0.0.13-0quinn32) dapper; urgency=low

  * update to reflection plugin
  * more updates to decoration plugin, needed for cgwd 0.56
  * change default trailfocus settings
  * gl_include_inferiors patch
  * fbconfig-depth patch

 -- Quinn Storm <livinglatexkali@gmail.com>  Thu, 17 Aug 2006 23:26:45 -0400

compiz (0.0.13-0quinn31) dapper; urgency=low

  * patch to decoration to (mostly) properly handle transform matrices

 -- Quinn Storm <livinglatexkali@gmail.com>  Sat, 12 Aug 2006 06:26:01 -0400

compiz (0.0.13-0quinn30) dapper; urgency=low

  * added latest blur, reflection
  * patched blur & reflection to not crash
  * added the SampleMap.png to the dist
  * made it default in reflection

 -- Quinn Storm <livinglatexkali@gmail.com>  Fri, 11 Aug 2006 18:45:04 -0400

compiz (0.0.13-0quinn29) dapper; urgency=low

  * build system update
  * move to librsvg

 -- Quinn Storm <livinglatexkali@gmail.com>  Tue,  8 Aug 2006 01:25:53 -0400

compiz (0.0.13-0quinn28) dapper; urgency=low

  * adding Blur plugin!
  * bugfixes to showdesktop

 -- Quinn Storm <livinglatexkali@gmail.com>  Sun,  6 Aug 2006 14:44:56 -0400

compiz (0.0.13-0quinn27) dapper; urgency=low

  * just some little patches, not even sure what all
  * I know at least the desktop-slide patch

 -- Quinn Storm <livinglatexkali@gmail.com>  Thu,  3 Aug 2006 14:53:02 -0400

compiz (0.0.13-0quinn26) dapper; urgency=low

  * rotate-with-mousewheel-on-desktop is back.
  * bs is back.
  * zoom min/max/step is back
  * neg is back
  * raise-window is back
  * thanks to moppsy, arturh85, et. al. for their quick work

 -- Quinn Storm <livinglatexkali@gmail.com>  Thu, 27 Jul 2006 17:54:50 -0400

compiz (0.0.13-0quinn25) dapper; urgency=low

  * added showdesktop plugin
  * stripped showdesktop functionality out of scale

 -- Quinn Storm <livinglatexkali@gmail.com>  Wed, 26 Jul 2006 09:37:03 -0400

compiz (0.0.13-0quinn24) dapper; urgency=low

  * bugfixes to rotate and others from upstream
  * thanks to upstream the following has happened, but is likely easy to fix
  * -- Zoom now doesn't zoom 'out' (it just works as it used to)
  * -- Snap-by-default in wobbly doesn't really work (should be easy to fix)
  * -- widget, neg, and bs have been removed from the default build
  * -- -- this is because these plugins use the old binding system which


=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Quinn Storm <livinglatexkali@gmail.com>
Build-Depends: librsvg2-dev, libmetacity-dev, debhelper (>= 4.0.0), intltool, autotools-dev, pkg-config, libgnome-desktop-dev, libcairo2-dev, libpng12-dev, libxdamage-dev,libxcomposite-dev, libxfixes-dev, libxrandr-dev, libice-dev, libsm-dev, libstartup-notification0-dev, libgl1-mesa-dev, libgconf2-dev, libglib2.0-dev, libgtk2.0-dev, libwnck-dev, libpango1.0-dev, gnome-control-center, libgnomeui-dev, capplets-data, x11proto-gl-dev, libgnome-window-settings-dev | capplets-data (<< 1:2.15.0)
Standards-Version: 3.7.2

Package: compiz
Architecture: any
Depends: compiz-core, compiz-plugins (>= 0.2)
Recommends: compiz-gnome, cgwd (>= 0.59)
Description: OpenGL composition manager - transitional package
 this package depends on compiz-core and compiz-plugins, to ease
 transition to the new system

Package: compiz-core
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: compiz-plugins (<< 0.1)
Replaces: compiz (<= 0.0.2-4ubuntu2)
Description: OpenGL composition manager - core binaries et al 
 compiz provides support for compositing X windows using OpenGL. This allows
 clients to modify what is drawn to the screen before it happens and for this
 to be hardware accelerated.  

Package: compiz-gnome
Architecture: any
Depends: ${shlibs:Depends}, libgnome-window-settings1 | capplets-data (<< 1:2.15.0), compiz-core (= ${Source-Version})
Replaces: compiz (<= 0.0.2-4ubuntu2)
Description: Gnome window decorator and libraries for Compiz
 This is a gnome window decorator that can be used with the compiz composition
 and window manager.

Package: compiz-plugins
Architecture: any
Depends: ${shlibs:Depends}, compiz-core (= ${Source-Version})
Replaces: compiz (<= 0.0.2-4ubuntu2)
Description: Gnome window decorator and libraries for Compiz
 compiz provides support for compositing X windows using OpenGL. This allows
 clients to modify what is drawn to the screen before it happens and for this
 to be hardware accelerated.  
 .
 This package contains the plugins that make compiz useful.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	chmod a+x configure
	# Add here commands to configure the package.
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=/usr/share/

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/compiz.sgml > compiz.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	rm -f config.guess config.sub

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/compiz.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	mv $(CURDIR)/debian/tmp/usr/bin/compiz $(CURDIR)/debian/tmp/usr/bin/compiz.real
	cp $(CURDIR)/debian/compiz.wrapper $(CURDIR)/debian/tmp/usr/bin/compiz

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs ChangeLog -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
#	dh_installmenu -a
#	dh_installdebconf -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installinfo -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_gconf -a
	dh_fixperms -a
#	dh_perl -a
#	dh_python -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a
	
binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## compiz 0.8.8

=== debian/changelog ===
compiz (0.8.8-2~pointlinux1) stable; urgency=low

  * Non-maintainer upload.
  * Released for Point Linux.

 -- Peter Ryzhenkov <peter.ryzhenkov@gmail.com>  Fri, 01 Mar 2013 05:10:39 -0500

compiz (0.8.8-2) unstable; urgency=low

  * Don't remove compiz.desktop, and don't bundle compiz-mate-gtk.desktop
    in debian/mate_files
  * Don't remove compiz-wm.desktop. Install it from package compiz-mate in
    usr/share/mate/wm-properties/compiz-wm.desktop, for marco windows 
    settings to work in compiz.
  * update 001-mate-compiz.patch to update both desktop files to:
    - use X-MATE-WMSettingsModule=marco and X-MateWMSettingsLibrary=marco
    - drop deprecated Encoding=UTF-8 attribute
  * delete no longer needed patch 018_use_marco_settings.patch
  * delete no longer needed patch 060_move_checks_to_compiz.patch, we're
    already checking capabilities in /usr/bin/compiz-mate-gtk wrapper,
    and if we can't do indirect rendering, we fall back to marco.

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Sun, 14 Oct 2012 03:21:07 +0200

compiz (0.8.8-1) unstable; urgency=low

  * new upstream release, non-maintainer fork
  * [debian/compat] Bump to Debhelper v7
  * [debian/copyright] convert to http://dep.debian.net/deps/dep5/ format
  * [debian/control]
    - rename compiz-gtk package to compiz-mate. update description thereof
    - add compiz-locales package, to reduce size of arch-dep compiz-core
    - bump Standards-Version to 3.9.3, Build-Dep debhelper to (>= 7.0.50~)
    - bump Build-Deps compiz-dev and libcompizconfig-dev to current version
    - B-D on dh-autoreconf, drop autoconf automake libtool autotools-dev
    - compiz-core depend on compiz for docs, and update compiz description
    - Remove compiz-kde package (commented out). Disabled via debian/rules
    - hardening-wrapper, to enable it from debian/rules (see below)
    - change the maintainer's email address
  * [debian/source/format] convert to '3.0 (quilt)' source format
  * [debian/patches/*]
  - Add 001-mate-compiz.patch: migration for MATE compatibility.
  - Add 002-mate-compiz_pot_files.patch - pot files MATE changes.
  - All migrated patches assume no files were renamed (ex: by migrate.sh).
    See notes under [debian/rules] further down this changelog.
  - Sync patches from Ubuntu (0.8.6-0u12) that are still needed in 0.8.8
    This is not the full list, only those that were migrated/updated.
    For the rest of (unchanged) patches, see debian/patches/series
    - 013-add-cursor-theme-support.patch: update: migrate to MATE
    - 018_use_marco_settings.patch: rename, migrate, update
    - 021_hide_tooltip_on_decorator.patch: update, migrate to MATE
    - 029_default_options.patch: update w/ new changes over Debian, migrate
      . use new compiz-mate-gtk wrapper script instead of compiz-decorator
      . revert to debian's logo instead of ubuntu's for adherence.
    - 060_move_checks_to_compiz.patch update, refresh
    - 562027-fix-mateconf-ftbfs.patch update, migrate, rename
  - Add 200-linuxmint-logo.patch to replace Debian logo with LinuxMint
  - Sync & update some from Wolfgang Ulrich's Redhat fc16 compiz fork:
    - 102-compiz_windows-decorator.patch: cleaned up, added dep3 header
    - 103-compiz-0.8.6-unloadpluginfix.patch: added dep3 header
  - Add 101-mate-compiz_fix_gwd_window_buttons_placement.patch. Thanks to
    Loftyhauser: http://forums.mate-desktop.org/viewtopic.php?f=8&t=818
  * [debian/patches/series] Indicate all origins of respective patches.
  * [debian/mate_files/*]
    - From Wolfgang Ulrich's forked redhat compiz package:
      - 50-marco-(navigation|system|windows).xml: enables some more compiz
        keybindings based on the marco ones
      - compiz-mate-gtk: wrapper script to run the appropriate decorator
        updated to add --replace options.
    - compiz-mate-gtk.desktop: X-MATE-WMSettingsModule=marco
    - compiz-keybindings.sed: Add keybindings (adapted from 0.8.4-4ubuntu1)
  * [debian/libdecoration0.symbols] after `debuild binary`, generate with:
    dpkg-gensymbols -plibdecoration0 -Pdebian/libdecoration0 | patch -p0
    perl -pi -e 's/-\d.*//' new_symbol_file  #strips the debian version
  * [debian/rules] use simplified dh style, only use necessary overrides
    - override_dh_autoreconf to rename files (gnome->MATE) after patching,
      and override_dh_(clean|builddeb) to revert filenames before dh_clean 
      and dpkg-source --after-build, respectively. The rationale is that we
      can keep a debian/patches much smaller sized, and much more portable!
    - Disable all kde stuff (kconfig/kde/kde4). Remove its xml and schema
    - Import keybindings from marco (adapted from 0.8.4-4ubuntu1)
    - Install compiz-mate-gtk*, remove compiz.desktop
    - Remove libmate(conf|compat) from plugins pkg. They're included in mate
    - Remove core.xml from plugins pkg. It's included in the core pkg
    - override_dh_makeshlibs to fix dependencies on libdecoration0
    - DEB_BUILD_HARDENING=1, to suppress lintian warnings
  * [debian/*.install]
    - compiz-dev: install schemas.xslt file (moved from compiz-core)
    - compiz-core: only install en_GB,en_US,fr locales
    - compiz-locales: all other locales
    - compiz-mate: install gtk files, our new keybindings & wrapper script
    - compiz-plugins: install xml files (moved from compiz-core)
  * [debian/*.docs]
    - Only compiz-core & libdecoration0 have docs. other pkgs use *.links
  * [debian/compiz-mate.links]
    - gtk-window-decorator bin/man to compiz-decorator and compiz-mate-gtk
  * [debian/watch] update download link from freedesktop.org to compiz.org
  * [debian/gbp.conf] remove it. this is not gonna be in debian unstable.
    See: http://lists.debian.org/debian-mentors/2012/10/msg00164.html

 -- Jasmine Hassan <jasmine.aura@gmail.com>  Thu, 11 Oct 2012 13:31:30 +0200

compiz (0.8.4-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure with GCC 4.7 (Sebastian Ramacher). Closes: #671995.



=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Jasmine Hassan <jasmine.aura@gmail.com>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: debhelper (>= 7.0.50~), dh-autoreconf,
 hardening-wrapper,
 libmateconf-dev, libmatedesktop-dev,
 intltool, libcairo2-dev, libdbus-glib-1-dev,
 libgl1-mesa-dev (>= 6.5.1) | libgl-dev, libglib2.0-dev,
 libgtk2.0-dev, libice-dev (>= 1:1.0.1), 
 libmarco-dev, libpango1.0-dev, libpng12-dev | libpng-dev, librsvg2-dev, 
 libsm-dev (>= 1:1.0.1), libtool, libwnck-dev, libxcomposite-dev (>= 1:0.3-2), 
 libxdamage-dev (>=1:1.0.3), libxfixes-dev (>= 1:4.0.1), libxinerama-dev, 
 libxml-parser-perl, libxrandr-dev (>= 2:1.1.0.2), libxrender-dev (>= 1:0.9.1), 
 libxcursor-dev,
 libxml2-dev, libxslt1-dev,
 libstartup-notification0-dev (>= 0.7),
 x11proto-gl-dev (>= 1.4.8), xsltproc,
 libglu1-mesa-dev,
# kdebase-workspace-dev,
Standards-Version: 3.9.3


Package: compiz
Architecture: all
Depends: ${misc:Depends},
 compiz-core (>= ${source:Version}), compiz-plugins (>= ${source:Version}),
 compiz-mate (>= ${source:Version}), libcompizconfig0
Suggests: compizconfig-settings-manager
Description: OpenGL window and compositing manager (metapackage)
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the MATE
 desktop environment.

Package: compiz-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mesa-utils
Breaks: libcompizconfig0 (<< 0.8.0)
Recommends: compiz-plugins (= ${binary:Version})
Suggests: nvidia-glx (>= 1.0.9625-1)
Provides: compiz-core-abiversion-${coreabiversion}
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-locales
Architecture: all
Depends: compiz-core, locales, ${misc:Depends}
Description: Translations for the Compiz OpenGL window/compositing manager
 This package contains translations for the Compiz OpenGL window and 
 compositing manager, needed when you want to be able to select an interface 
 language other than English (GB/US) or French.

Package: compiz-dev
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${misc:Depends}, libgl1-mesa-dev | libgl-dev, libpng-dev, libxcomposite-dev (>= 1:0.3-2), libxfixes-dev (>= 1:4.0.1), libxdamage-dev (>= 1:1.0.3), libxinerama-dev, libxrandr-dev (>= 2:1.1.0.2), libxcursor-dev, libice-dev (>= 1:1.0.1), libsm-dev (>= 1:1.0.1), libstartup-notification0-dev (>= 0.7), libxslt1-dev, libxml2-dev
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-mate
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: compiz-gtk, compiz-plugins (<< 0.7.6-2)
Suggests: mate-themes
Description: OpenGL window and compositing manager - MATE window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses Gtk to provide a look and
 feel similar to that of the marco window manager, and files needed to 
 integrate compiz with the MATE desktop environment.

Package: compiz-plugins
Architecture: any
Depends: compiz-core (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz. Compiz
 without these plugins is not very useful.

Package: libdecoration0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Depends: libdecoration0 (= ${binary:Version}), ${misc:Depends}, libx11-dev, libxrender-dev (>= 1:0.9.1)
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

# vim: tw=0

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_HARDENING=1

export MATECONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/compiz-core.h )

INSTALL = /usr/bin/install

# generated via:
#  python -c "import compizconfig; print ','.join(compizconfig.Context().Plugins['core'].Display['active_plugins'].Value)"
PLUGINS1=core,ccp,dbus,glib,mateconf,matecompat,dbus,png,svg,video,screenshot
PLUGINS2=decoration,clone,place,fade,minimize,move,resize,switcher,scale,wall,obs

CONF_FLAGS =	--disable-static \
				--disable-fuse \
				--disable-kde \
				--disable-kde4 \
				--disable-kconfig \
				--enable-dbus \
				--enable-librsvg \
				--enable-gtk \
				--enable-mateconf \
				--enable-marco \
				--enable-mate \
				--enable-mate-keybindings \
				--with-default-plugins=$(PLUGINS1),$(PLUGINS2)

DESTDIR := $(CURDIR)/debian/tmp
BINSDIR := $(DESTDIR)/usr/bin
MATEDIR := $(CURDIR)/debian/mate_files
CCKBDIR := usr/share/mate-control-center/keybindings

%:
	dh $@ --with autoreconf

post_patch:
	###
	### Renaming files - gnome->MATE
	###
	[ -d gtk/mate ] || mv gtk/gnome gtk/mate
	[ -f metadata/mateconf.xml.in ] || mv metadata/gconf.xml.in metadata/mateconf.xml.in
	[ -f metadata/matecompat.xml.in ] || mv metadata/gnomecompat.xml.in metadata/matecompat.xml.in
	[ -f compiz-mateconf.pc.in ] || mv compiz-gconf.pc.in compiz-mateconf.pc.in
	[ -f plugins/mateconf.c ] || mv plugins/gconf.c plugins/mateconf.c
	[ -f plugins/matecompat.c ] ||  mv plugins/gnomecompat.c plugins/matecompat.c

pre_unpatch:
	###
	### Reverting file renames - MATE->gnome
	###
	[ -d gtk/gnome ] || mv gtk/mate gtk/gnome
	[ -f metadata/gconf.xml.in ] || mv metadata/mateconf.xml.in metadata/gconf.xml.in
	[ -f metadata/gnomecompat.xml.in ] || mv metadata/matecompat.xml.in metadata/gnomecompat.xml.in
	[ -f compiz-gconf.pc.in ] || mv compiz-mateconf.pc.in compiz-gconf.pc.in
	[ -f plugins/gconf.c ] || mv plugins/mateconf.c plugins/gconf.c
	[ -f plugins/gnomecompat.c ] ||  mv plugins/matecompat.c plugins/gnomecompat.c

override_dh_autoreconf: post_patch
	dh_autoreconf

override_dh_auto_clean:
	if [ -d gtk/gnome -a -d debian/tmp ]; then debian/rules post_patch; fi
	dh_auto_clean

override_dh_clean: pre_unpatch
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr --sysconfdir=\$${prefix}/share $(CONF_FLAGS)

override_dh_install:
	### Adapted from Ubuntu
	### launchpad.net/ubuntu/+archive/primary/+files/compiz_0.8.6-0ubuntu12.diff.gz
	# create compiz keybindings file based on the marco ones.
	mkdir -p $(DESTDIR)/$(CCKBDIR)
	sed 's/wm_name=\"Marco\" package=\"marco\"/wm_name=\"Compiz\" package=\"compiz\"/' \
		/$(CCKBDIR)/50-marco-desktop-key.xml > $(DESTDIR)/$(CCKBDIR)/50-compiz-desktop-key.xml
	sed 's/wm_name=\"Marco\" package=\"marco\"/wm_name=\"Compiz\" package=\"compiz\"/' \
		/$(CCKBDIR)/50-marco-key.xml > $(DESTDIR)/$(CCKBDIR)/50-compiz-key.xml
	sed -i 's#key=\"/apps/marco/general/num_workspaces\" comparison=\"gt\"##g' \
		$(DESTDIR)/$(CCKBDIR)/50-compiz-desktop-key.xml
	sed -i 's#key=\"/apps/marco/general/num_workspaces\" comparison=\"gt\"##g' \
		$(DESTDIR)/$(CCKBDIR)/50-compiz-key.xml
	# add some selected keys
	sed -i -f $(MATEDIR)/compiz-keybindings.sed $(DESTDIR)/$(CCKBDIR)/50-compiz-desktop-key.xml
	# remove unsupported keys from compiz xml
	for unsupported in switch_group switch_panels cycle_windows cycle_group cycle_panels; do \
		sed -i "#marco/global_keybindings/$$unsupported#d" $(DESTDIR)/$(CCKBDIR)/50-compiz-key.xml; \
	done;
	### End Ubuntu adaptation

	$(INSTALL) -m 0644 $(MATEDIR)/50-marco-navigation.xml $(DESTDIR)/$(CCKBDIR)/50-compiz-navigation.xml
	$(INSTALL) -m 0644 $(MATEDIR)/50-marco-system.xml $(DESTDIR)/$(CCKBDIR)/50-compiz-system.xml
	$(INSTALL) -m 0644 $(MATEDIR)/50-marco-windows.xml $(DESTDIR)/$(CCKBDIR)/50-compiz-windows.xml

	# install compiz-mate-gtk
	$(INSTALL) -m 0755 $(MATEDIR)/compiz-mate-gtk $(BINSDIR)

	# kde disabled in this package, remove 'em
	rm $(DESTDIR)/usr/share/compiz/kconfig.xml
	rm $(DESTDIR)/usr/share/mateconf/schemas/compiz-kconfig.schemas

	# remove unneeded .la files
	find $(DESTDIR)/usr/lib -type f -name '*.la' -exec rm -f {} ';'

	dh_install --fail-missing

	# libmateconf & libmatecomapt are seperately installed in compiz-mate package
	rm debian/compiz-plugins/usr/lib/compiz/libmate*.so
	# core.xml excluded from plugins as it is in core
	rm debian/compiz-plugins/usr/share/compiz/core.xml

override_dh_makeshlibs:
	dh_makeshlibs -plibdecoration0 -V'libdecoration0 (>= 0.8.8)'

# This forces the rename right before dpkg-source --after-build 
#override_dh_builddeb: pre_unpatch
override_dh_builddeb: pre_unpatch
	dh_builddeb

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

=== debian/watch ===
version=3
http://releases.compiz.org/([\d\.]+)[02468]/ compiz-(\d.*)\.tar\.gz

## compiz 0.8.14

=== debian/changelog ===
compiz (2:0.8.14-0mx15+1) mx; urgency=medium

  * New upstream release.
    - Handle _NET_WM_MOVERESIZE ClientMessages
    - Fixes whisker menu resize bug
    - Improve horizontal and vertical maximizing
    - Remove 'Number of Desktops' option
    - Fix crash when displaying special characters in gtk-window-decorator
    - Update translations
    - Set rotate and wall default flip bindings to None
    - Fixes problem where edges of screen are unclickable by default
    - Fix potential for skydome silently failing to render
    - Don't fallback for exceeding max texture size
    - Improved --button-layout behavior for gtk-window-decorator

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 19 Jun 2017 18:58:10 -0700

compiz (2:0.8.12.3-0mx15+1) mx; urgency=medium

  * Rebuild for MX-15.
  * Add epoch to upgrade over older version in our repo.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 16 Mar 2017 12:28:19 -0700

compiz (0.8.12.3-0~jessie1) jessie; urgency=low

  * New upstream release.
  * Drop video plugin on default setup (this plugin is obsolete).
  * Update dh_makeshlibs with new version.
  * Add libxi-dev on build-deps and for compiz-dev.

 -- Jof Thibaut <compiz@tuxfamily.org>  Wed, 18 May 2016 12:41:56 +0200

compiz (0.8.12.1-0~jessie1) jessie; urgency=low

  * New upstream release.

 -- Jof Thibaut <compiz@tuxfamily.org>  Thu, 17 Mar 2016 21:04:37 +0100

compiz (0.8.12-0~jessie1) jessie; urgency=low

  * New upstream release.
    - forked on Github : Compiz Reloaded
    - full support of MATE desktop
    - remove kde-decorator support, does not work anymore
      with kde5
    - add Desktop Wall plugin from compiz-plugins-main project
    - replace gnomecompat plugin with matecompat
    - add command line options for button layout and titlebar
      font
    - remove GConf support as it's obsolete
    - add script to start Compiz and GTK+ decorator + desktop 
      file
    - add all relevant checks from compiz-manager
    - gtk-window-decorator: Make it possible to build with Gtk3
    - add a compiz-decorator script that tries to detect the best
      suitable decorator
    - update annotate plugin
    - many more bug fixes and improvements, see git log
  * Switch to format 3.0 (quilt).
  * Update compat and rules for debhelper 9.
  * Bump standards to version 3.9.6.
  * Change Priority to optional.
  * Update copyright to format 1.0 and Homepage link.
  * Update watch file with new link on github.
  * Override dh_makeshlibs to fix dependencies on libdecoration0.
  * Drop compiz-kde package.
  * Improve deps for compiz-gtk and compiz packages.
  * Add compiz-mate package to install matecompat plugin and
    gsettings file.
  * Add build-depends to build matecompat plugin.
  * Rewrite CONF_FLAGS and PLUGINS with new setup.
  * Build with GTK2 for more compat.
  * Replace old autotools deps with dh-autoreconf.
  * Update gtk-window-decorator.1 manpage with new options.
  * Drop all old debian/patches, applied upstream or unneeded.

 -- Jof Thibaut <compiz@tuxfamily.org>  Fri, 26 Feb 2016 14:13:04 +0100

=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Jof Thibaut <compiz@tuxfamily.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               intltool, 
               libcairo2-dev,
               libglib2.0-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libgl1-mesa-dev (>= 6.5.1) | libgl-dev,
               libglu1-mesa-dev,
               libgtk2.0-dev,
               libice-dev (>= 1:1.0.1), 
               libmarco-dev (>= 1.8.0),
               libmate-desktop-dev (>= 1.8.0),
               libpango1.0-dev,
               libpng12-dev | libpng-dev,
               libjpeg62-turbo-dev,
               librsvg2-dev, 
               libsm-dev (>= 1:1.0.1),
               libstartup-notification0-dev (>= 0.7),
               libwnck-dev,
               libxcomposite-dev (>= 1:0.3-2), 
               libxcursor-dev,
               libxdamage-dev (>=1:1.0.3),
               libxfixes-dev (>= 1:4.0.1),
               libxinerama-dev,
               libxi-dev, 
               libxml2-dev,
               libxml-parser-perl,
               libxrandr-dev (>= 2:1.1.0.2),
               libxrender-dev (>= 1:0.9.1), 
               libxslt1-dev,
               marco-common,
               x11proto-gl-dev (>= 1.4.8),
               xsltproc
Standards-Version: 3.9.6
Homepage: https://github.com/compiz-reloaded/compiz

Package: compiz
Architecture: all
Depends: ${misc:Depends},
         compiz-core (>= ${source:Version}),
         compiz-plugins (>= ${source:Version}),
         compiz-gtk (>= ${source:Version}),
         compiz-fusion-plugins-main,
         compizconfig-settings-manager,
         libcompizconfig0 (>= 0.8.14-0~),
         fusion-icon,
         ccsm | simple-ccsm,
         compiz-fusion-plugins-main (>= 0.8.14-0~),
         compiz-fusion-plugins-extra (>= 0.8.14-0~),
         compiz-fusion-plugins-experimental (>= 0.8.14-0~),
         emerald
Suggests: compiz-mate
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and a settings manager.
 .
 The user can install compiz-fusion-plugins-extra and 
 compiz-fusion-plugins-experimental for even more features.

Package: compiz-core
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         mesa-utils
Breaks: libcompizconfig0 (<< 0.8.4)
Recommends: compiz-plugins (= ${binary:Version}),
            compiz-fusion-plugins-main (>= 0.8.14-0~),
Suggests: nvidia-driver  (>= 340.96-1)
Provides: compiz-core-abiversion-${coreabiversion}
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         ${misc:Depends},
         libgl1-mesa-dev | libgl-dev,
         libpng-dev,
         libjpeg62-turbo-dev,
         libxcomposite-dev (>= 1:0.3-2),
         libxfixes-dev (>= 1:4.0.1),
         libxdamage-dev (>= 1:1.0.3),
         libxinerama-dev,
         libxrandr-dev (>= 2:1.1.0.2),
         libxcursor-dev,
         libice-dev (>= 1:1.0.1),
         libsm-dev (>= 1:1.0.1),
         libstartup-notification0-dev (>= 0.7),
         libxi-dev,
         libxslt1-dev,
         libxml2-dev
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gtk
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libcompizconfig0 (>= 0.8.14-0~)
Replaces: compiz-plugins (<< 0.7.6-2)
Recommends: compizconfig-settings-manager
Suggests: emerald
Description: OpenGL window and compositing manager - Gtk window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains a window decorator that uses Gtk to provide a look and
 feel similar to that of the marco window manager.

Package: compiz-mate
Architecture: any
Depends: compiz-gtk (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         marco (>= 1.8.0),
         mate-themes
Description: OpenGL window and compositing manager - MATE window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the MATE desktop
 environment.

Package: compiz-plugins
Architecture: any
Depends: compiz-core (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the standard plugins that come with compiz. Compiz
 without these plugins is not very useful.

Package: libdecoration0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Depends: libdecoration0 (= ${binary:Version}),
         ${misc:Depends},
         libx11-dev,
         libxrender-dev (>= 1:0.9.1)
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator and kde-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/compiz-core.h )

LDFLAGS += -Wl,--as-needed

# List of plugins passed to ./configure.  The order is important
PLUGINS=core,png,svg,screenshot,decoration,clone,place,fade,minimize,move,resize,switcher,scale,wall,obs

CONF_FLAGS = --disable-static \
		--with-gtk=2.0 \
		--disable-fuse \
		--enable-librsvg \
		--enable-gtk \
		--enable-marco \
		--enable-menu-entries \
		--with-default-plugins=$(PLUGINS)

%:
	dh $@ --with autoreconf --parallel

override_dh_auto_configure:
	intltoolize --copy --force --automake
	dh_auto_configure -- $(CONF_FLAGS) --libdir=/usr/lib

override_dh_install:
# remove unneeded .la files
	find $(CURDIR)/debian/tmp/usr/lib \
	-type f -name '*.la' -exec rm -f {} ';'

	dh_install --fail-missing

# matecompat plugin and xml file are seperately installed
# into the -mate package respectively
	rm debian/compiz-plugins/usr/lib/compiz/libmatecompat.so
	rm debian/compiz-plugins/usr/share/compiz/matecompat.xml

# core.xml excluded from plugins as it is in core
	rm debian/compiz-plugins/usr/share/compiz/core.xml

override_dh_makeshlibs:
	dh_makeshlibs -plibdecoration0 -V'libdecoration0 (>= 0.8.12.3-0~)'

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/release-?(\d\S*)\.tar\.gz/compiz-$1\.tar\.gz/ \
  https://github.com/compiz-reloaded/compiz/tags .*/release-?(\d\S*)\.tar\.gz
